Class | ActiveMerchant::Billing::BeanstreamInteracGateway
In: | lib/active_merchant/billing/gateways/beanstream_interac.rb
Parent: | Gateway

### Methods

confirm confirm purchase

### Included Modules

BeanstreamCore

### Public Class methods

confirm(transaction)

Confirm a transaction posted back from the bank to Beanstream. Confirming a transaction does not require any credentials, and in an application with many merchants sharing a funded URL the application may not yet know which merchant the post back is for until the response of the confirmation is received, which contains the order number.

### Public Instance methods

confirm(transaction)

Confirm a transaction posted back from the bank to Beanstream.

purchase(money, options = {})

[Validate]